sdr::TextDump Class Reference

Dumps the received uin8_t byte-stream as (ASCII) text. More...

`#include <utils.hh>`

Inheritance diagram for sdr::TextDump:

## Public Member Functions

| TextDump (std::ostream &stream=std::cerr)
| Constructor. More...
virtual void | config (const Config &src_cfg)
| Configures the sink. More...
virtual void | process (const Buffer< uint8_t > &buffer, bool allow_overwrite)
| Processes the input stream. More...
Public Member Functions inherited from sdr::Sink< uint8_t >
| Sink ()
| Constructor. More...
virtual | ~Sink ()
| Drestructor. More...
virtual void | handleBuffer (const RawBuffer &buffer, bool allow_overwrite)
| Re-implemented from `SinkBase`. More...
Public Member Functions inherited from sdr::SinkBase
| SinkBase ()
| Constructor. More...
virtual | ~SinkBase ()
| Destructor. More...

## Protected Attributes

std::ostream & | _stream
| The output stream. More...

## Detailed Description

Dumps the received uin8_t byte-stream as (ASCII) text.

## Constructor & Destructor Documentation

TextDump::TextDump | ( | std::ostream & | stream = `std::cerr` | ) |

Constructor.

`stream` specifies the ouput stream.

## Member Function Documentation

void TextDump::config | ( | const Config & | src_cfg | ) |

virtual

Configures the sink.

Implements sdr::SinkBase.

void TextDump::process | ( | const Buffer< uint8_t > & | buffer,
|  | bool | allow_overwrite
| ) |  |

virtual

Processes the input stream.

Implements sdr::Sink< uint8_t >.

## Member Data Documentation

std::ostream& sdr::TextDump::_stream

protected

The output stream.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/utils.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/utils.cc